package com.zd.smartlock.domain.api;

import com.zd.smartlock.domain.BaseDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liujh
 * @Date: 2022/09/03/13:37
 * @Description:
 */
@ApiModel("查询人员信息")
public class SlUser extends BaseDomain {

    @ApiModelProperty(value = "身份证")
    private String  personcard;

    @ApiModelProperty(value = "学/工号")
    private String personcode;

    @ApiModelProperty(value = "手机号")
    private String personmobile;

    @ApiModelProperty(value = "姓名")
    private String personname;

    @ApiModelProperty(value = "性别")
    private String personsex;

    @ApiModelProperty(value = "人员类别（1=学生，2=教职工，3=临时人员）")
    private String persontype;

    public String getPersoncard() {
        return personcard;
    }

    public void setPersoncard(String personcard) {
        this.personcard = personcard;
    }

    public String getPersoncode() {
        return personcode;
    }

    public void setPersoncode(String personcode) {
        this.personcode = personcode;
    }

    public String getPersonmobile() {
        return personmobile;
    }

    public void setPersonmobile(String personmobile) {
        this.personmobile = personmobile;
    }

    public String getPersonname() {
        return personname;
    }

    public void setPersonname(String personname) {
        this.personname = personname;
    }

    public String getPersonsex() {        return personsex;    }

    public void setPersonsex(String personsex) {        this.personsex = personsex;    }

    public String getPersontype() {        return persontype;    }

    public void setPersontype(String persontype) {
        this.persontype = persontype;
    }
}
